%{
    #include <stdio.h>
    extern void yyerror(char*);
%}

%token SKAPA SKICK KAMIN KLART NAMN NUMMER

%%

inmatning : kommandolista KLART ';' ;

kommandolista : kommando kommandolista | /* empty */ ;

kommando : kaminkommando | skapaskickkommando | skickkommando ;

kaminkommando : KAMIN NUMMER ';' ;

skapaskickkommando : SKAPA SKICK NAMN ';' ;

skickkommando : SKICK NUMMER NAMN ';' ;

%%

int main() {
    printf("Mata in kommandon. Avsluta med KLART-kommandot och EOF.\n");
    yyparse();
    return 0;
}

void yyerror(char *s) {
    fprintf(stderr, "Bison-fel! Felmeddelande: %s\n", s);
}

int yywrap(void) {
    return 1;
}
